#include <curl/curl.h>
#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include "emptiness.h"
using namespace std;
struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& tin, bool prompt)
{
    size_t number_count;
    if (prompt)
    cerr << "Enter number count: ";
    tin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    for(int i; i<number_count; i++)
    {
        tin >> in.numbers[i];
    }
    if (prompt)
    cerr << "Enter bin count: ";
    tin >> in.bin_count;
    return in;
}
int main(int argc, char* argv[])
{
    if(argc>1)
    {
        for(size_t i = 0;i < argc;i++)
        {
            cerr<< "argv["<<i<<"]="<<argv[i]<<endl;
        }
        return 0;
    }
    curl_global_init(CURL_GLOBAL_ALL);
    Input in = input_data(cin,true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
